Skip to main content

POST v3/products/:id/image

POST 

/v3/products/:id/image

Add or replace the commercial image of a product.

Allows the user to add or update the commercial image of a single products. The commercial image is used as reference image in when searching products in Maya and has no functional implications. Internally different images of the product are used for recognition and processing, however the commercial image may be relevant when dealing with consumer related issues about the product.

Limitations of POST /v3/propducts/:id/image​

  • Each product can have only one commercially assigned image
  • The size of the file must be less than 10MiB
  • Only the following file types are supported:
    • image/png
    • image/x-png
    • image/apng
    • image/jpg
    • image/jpeg
    • image/pjpeg
    • image/gif (not recommended)
    • image/bmp (not recommended)
    • image/webp (partially, may cause issues)
    • application/x-photoshop (can't be rendered properly, but is accepted)

Request​

Responses​

Upon successful submission of the productImage a success message is returned, containing the product details, but not the image itself.